openSUSE Security Update: Security update for haserl
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1279-1
Rating:             moderate
References:         #1187671 
Cross-References:   CVE-2021-29133
Affected Products:
                    openSUSE Leap 15.2
                    openSUSE Backports SLE-15-SP3
                    openSUSE Backports SLE-15-SP2
                    openSUSE Backports SLE-15-SP1
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for haserl fixes the following issues:

   Update to version 0.9.36:

   * Fixed: Its possible to issue a PUT request without a CONTENT-TYPE.
     Assume an octet-stream in that case. This is CVE-2021-29133 and
     boo#1187671
   * Change the Prefix for variables to be the REQUEST_METHOD
     (PUT/DELETE/GET/POST) THIS IS A BREAKING CHANGE
   * Mitigations vs running haserl to get access to files not available to
     the user.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1279=1

   - openSUSE Backports SLE-15-SP3:

      zypper in -t patch openSUSE-2021-1279=1

   - openSUSE Backports SLE-15-SP2:

      zypper in -t patch openSUSE-2021-1279=1

   - openSUSE Backports SLE-15-SP1:

      zypper in -t patch openSUSE-2021-1279=1



Package List:

   - openSUSE Leap 15.2 (x86_64):

      haserl-0.9.36-lp152.4.3.1
      haserl-debuginfo-0.9.36-lp152.4.3.1
      haserl-debugsource-0.9.36-lp152.4.3.1

   - openSUSE Backports SLE-15-SP3 (aarch64 i586 ppc64le s390x x86_64):

      haserl-0.9.36-bp153.2.3.1
      haserl-debuginfo-0.9.36-bp153.2.3.1
      haserl-debugsource-0.9.36-bp153.2.3.1

   - openSUSE Backports SLE-15-SP2 (aarch64 ppc64le s390x x86_64):

      haserl-0.9.36-bp152.4.3.1
      haserl-debuginfo-0.9.36-bp152.4.3.1
      haserl-debugsource-0.9.36-bp152.4.3.1

   - openSUSE Backports SLE-15-SP1 (aarch64 ppc64le s390x x86_64):

      haserl-0.9.36-bp151.4.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-29133.html
   https://bugzilla.suse.com/1187671